aboutsummaryrefslogtreecommitdiffstats
path: root/chapter6
diff options
context:
space:
mode:
Diffstat (limited to 'chapter6')
-rw-r--r--chapter6/bash.sh1
-rw-r--r--chapter6/binutils.sh1
-rw-r--r--chapter6/coreutils.sh5
-rw-r--r--chapter6/diffutils.sh1
-rw-r--r--chapter6/file.sh1
-rw-r--r--chapter6/findutils.sh1
-rw-r--r--chapter6/gawk.sh1
-rw-r--r--chapter6/gcc.sh12
-rw-r--r--chapter6/grep.sh1
-rw-r--r--chapter6/gzip.sh1
-rw-r--r--chapter6/m4.sh1
-rw-r--r--chapter6/make.sh1
-rw-r--r--chapter6/ncurses.sh1
-rw-r--r--chapter6/patch.sh1
-rw-r--r--chapter6/sed.sh1
-rw-r--r--chapter6/tar.sh1
-rw-r--r--chapter6/xz.sh1
17 files changed, 31 insertions, 1 deletions
diff --git a/chapter6/bash.sh b/chapter6/bash.sh
index c920026..9251a89 100644
--- a/chapter6/bash.sh
+++ b/chapter6/bash.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
patch -Np1 -i ../bash-"${VERSION}"-fixes-1.patch &&
./configure --prefix=/usr \
diff --git a/chapter6/binutils.sh b/chapter6/binutils.sh
index 9b97c4b..3e4af1d 100644
--- a/chapter6/binutils.sh
+++ b/chapter6/binutils.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
mkdir -v build
cd build || exit 1
diff --git a/chapter6/coreutils.sh b/chapter6/coreutils.sh
index 536fa52..86eaf5f 100644
--- a/chapter6/coreutils.sh
+++ b/chapter6/coreutils.sh
@@ -1,4 +1,9 @@
#!/bin/bash
+set -e
+
+if [[ "$(uname -m)" = aarch64 ]]; then
+ patch -Np1 -i ../coreutils-"${VERSION}"-aarch64_fixes-1.patch
+fi
./configure --prefix=/usr \
--host="${LFS_TGT}" \
diff --git a/chapter6/diffutils.sh b/chapter6/diffutils.sh
index f6c45af..580d795 100644
--- a/chapter6/diffutils.sh
+++ b/chapter6/diffutils.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
sed 's/help2man -i/help2man --no-discard-stderr -i /' -i man/Makefile.in
HELP2MAN="help2man --no-discard-stderr" ./configure --prefix=/usr \
diff --git a/chapter6/file.sh b/chapter6/file.sh
index bd51747..6d39e77 100644
--- a/chapter6/file.sh
+++ b/chapter6/file.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
mkdir build
pushd build > /dev/null || exit 1
diff --git a/chapter6/findutils.sh b/chapter6/findutils.sh
index 0526c41..5617c10 100644
--- a/chapter6/findutils.sh
+++ b/chapter6/findutils.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
# shellcheck disable=SC2016
./configure --prefix=/usr \
diff --git a/chapter6/gawk.sh b/chapter6/gawk.sh
index 29d7a8b..1d18cdc 100644
--- a/chapter6/gawk.sh
+++ b/chapter6/gawk.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
sed -i 's/extras//' Makefile.in &&
./configure --prefix=/usr \
diff --git a/chapter6/gcc.sh b/chapter6/gcc.sh
index d40a855..7c6be43 100644
--- a/chapter6/gcc.sh
+++ b/chapter6/gcc.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
mkdir -p isl mpfr gmp mpc
tar -xf ../isl-*.tar.xz -C isl --strip-components=1 &&
@@ -10,6 +11,10 @@ case $(uname -m) in
x86_64)
sed -e '/m64=/s/lib64/lib/' -i.orig gcc/config/i386/t-linux64
;;
+ aarch64)
+ sed -e '/mabi.lp64=/s/lib64/lib/' \
+ -i.orig gcc/config/aarch64/t-aarch64-linux
+ ;;
esac
mkdir -v build
@@ -33,7 +38,12 @@ ln -s ../../../libgcc/gthr-posix.h "${LFS_TGT}"/libgcc/gthr-default.h &&
--disable-libssp \
--disable-libvtv \
--disable-libstdcxx \
- --enable-languages=c,c++ &&
+ --enable-languages=c,c++ \
+ "$([ "$(uname -m)" = aarch64 ] && echo --with-arch=armv8-a)" \
+ "$([ "$(uname -m)" = aarch64 ] && echo --with-cpu=cortex-a73.cortex-a53)" \
+ "$([ "$(uname -m)" = aarch64 ] && echo --enable-fix-cortex-a53-835769)" \
+ "$([ "$(uname -m)" = aarch64 ] && echo --enable-fix-cortex-a53-843419)" &&
+
make &&
make DESTDIR="${LFS}" -j1 install &&
ln -sv gcc "${LFS}"/usr/bin/cc
diff --git a/chapter6/grep.sh b/chapter6/grep.sh
index 9aab0f4..7aaa38a 100644
--- a/chapter6/grep.sh
+++ b/chapter6/grep.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
./configure --prefix=/usr \
--host="${LFS_TGT}" \
diff --git a/chapter6/gzip.sh b/chapter6/gzip.sh
index f894df6..d8a45c7 100644
--- a/chapter6/gzip.sh
+++ b/chapter6/gzip.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
./configure --prefix=/usr \
--host="${LFS_TGT}" &&
diff --git a/chapter6/m4.sh b/chapter6/m4.sh
index 2f67ebe..aeb1024 100644
--- a/chapter6/m4.sh
+++ b/chapter6/m4.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
sed -i 's/IO_ftrylockfile/IO_EOF_SEEN/' lib/*.c &&
echo "#define _IO_IN_BACKUP 0x100" >> lib/stdio-impl.h &&
diff --git a/chapter6/make.sh b/chapter6/make.sh
index 4de06b6..0b2ace4 100644
--- a/chapter6/make.sh
+++ b/chapter6/make.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
./configure --prefix=/usr \
--without-guile \
diff --git a/chapter6/ncurses.sh b/chapter6/ncurses.sh
index 6320a9f..1bf8824 100644
--- a/chapter6/ncurses.sh
+++ b/chapter6/ncurses.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
sed -i s/mawk// configure &&
diff --git a/chapter6/patch.sh b/chapter6/patch.sh
index fa1dac9..42add5e 100644
--- a/chapter6/patch.sh
+++ b/chapter6/patch.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
./configure --prefix=/usr \
--host="${LFS_TGT}" \
diff --git a/chapter6/sed.sh b/chapter6/sed.sh
index 9aab0f4..7aaa38a 100644
--- a/chapter6/sed.sh
+++ b/chapter6/sed.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
./configure --prefix=/usr \
--host="${LFS_TGT}" \
diff --git a/chapter6/tar.sh b/chapter6/tar.sh
index 730d108..28aea9c 100644
--- a/chapter6/tar.sh
+++ b/chapter6/tar.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
./configure --prefix=/usr \
--host="${LFS_TGT}" \
diff --git a/chapter6/xz.sh b/chapter6/xz.sh
index 6766de1..a519ebd 100644
--- a/chapter6/xz.sh
+++ b/chapter6/xz.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
./configure --prefix=/usr \
--host="${LFS_TGT}" \